Upgraded to 1.12, not working now

Support requests, bug reports, etc. go here. Dedicated servers / VDS hosting only
GusBricker
Bear Rating Trainee
Bear Rating Trainee
Posts: 6
Joined: 20 Apr 2014, 12:42

Upgraded to 1.12, not working now

Postby GusBricker » 20 Apr 2014, 12:52

I upgraded to 1.12, I cant remember what version from (pretty sure was <= 1.08).

Now my feeds aren't working, i keep getting "Communication With Server Error". The error log is full of this:
E_USER_ERROR (256) classes/db/mysqli.php:33 Query INSERT INTO ttrss_entries (title, guid, link, updated, content, content_hash, no_orig_date, date_updated, date_entered, comments, num_comments, plugin_data, lang, author) ...

I did the update via the command line on my server using update.php. I'm running on a Dreamhost Private Server, any tips?

hrk
Bear Rating Disaster
Bear Rating Disaster
Posts: 75
Joined: 24 Apr 2013, 12:39

Re: Upgraded to 1.12, not working now

Postby hrk » 21 Apr 2014, 01:26

Posting the full error will allow kind-hearted people to help you.

The most I can do right now is ask: did you update the database schema?

GusBricker
Bear Rating Trainee
Bear Rating Trainee
Posts: 6
Joined: 20 Apr 2014, 12:42

Re: Upgraded to 1.12, not working now

Postby GusBricker » 21 Apr 2014, 01:58

Ah good point. Where is the error log located usually?
I did update database schema.

hrk
Bear Rating Disaster
Bear Rating Disaster
Posts: 75
Joined: 24 Apr 2013, 12:39

Re: Upgraded to 1.12, not working now

Postby hrk » 21 Apr 2014, 02:17

I guess the same place you got the error message you partially pasted here... isn't it?

GusBricker
Bear Rating Trainee
Bear Rating Trainee
Posts: 6
Joined: 20 Apr 2014, 12:42

Re: Upgraded to 1.12, not working now

Postby GusBricker » 21 Apr 2014, 15:53


User avatar
sleeper_service
Bear Rating Overlord
Bear Rating Overlord
Posts: 884
Joined: 30 Mar 2013, 23:50
Location: Dallas, Texas

Re: Upgraded to 1.12, not working now

Postby sleeper_service » 21 Apr 2014, 17:44


User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Upgraded to 1.12, not working now

Postby fox » 21 Apr 2014, 17:59

there was this I think one time when upgrading went wrong for some reason and one of the schema files was not applied. op, you can find the .sql file where lang is being created and run the relevant parts. this should fix it.

unless you didn't update the schema of course, then just do so.

GusBricker
Bear Rating Trainee
Bear Rating Trainee
Posts: 6
Joined: 20 Apr 2014, 12:42

Re: Upgraded to 1.12, not working now

Postby GusBricker » 22 Apr 2014, 01:37


hrk
Bear Rating Disaster
Bear Rating Disaster
Posts: 75
Joined: 24 Apr 2013, 12:39

Re: Upgraded to 1.12, not working now

Postby hrk » 22 Apr 2014, 16:18


GusBricker
Bear Rating Trainee
Bear Rating Trainee
Posts: 6
Joined: 20 Apr 2014, 12:42

Re: Upgraded to 1.12, not working now

Postby GusBricker » 23 Apr 2014, 01:15


User avatar
sleeper_service
Bear Rating Overlord
Bear Rating Overlord
Posts: 884
Joined: 30 Mar 2013, 23:50
Location: Dallas, Texas

Re: Upgraded to 1.12, not working now

Postby sleeper_service » 23 Apr 2014, 01:57

depends, do you have a lang column? if not, then yes if so, then no, but, then, you shouldn't be getting the error you posted.

hrk
Bear Rating Disaster
Bear Rating Disaster
Posts: 75
Joined: 24 Apr 2013, 12:39

Re: Upgraded to 1.12, not working now

Postby hrk » 23 Apr 2014, 02:19

Since you're getting an error claiming that you lack the "lang" column, you'll need to run the SQL I wrote above.

Keep in mind that it is strange that, while upgrading from <1.8 to 1.12 you missed the "122" update (which should be the one in 1.10). If you can't lose your current database and start from scratch, then I recommend you export your current schema and compare it with the latest one. Every difference you find, search for it in the versioned schemas and apply it to your database. Long, boring, potentially dangerous, but that's the only way to be sure you're running a right schema without creating it from scratch.

If I were you, I'd just add the "lang" column and hope it works. :)

GusBricker
Bear Rating Trainee
Bear Rating Trainee
Posts: 6
Joined: 20 Apr 2014, 12:42

Re: Upgraded to 1.12, not working now

Postby GusBricker » 23 Apr 2014, 02:59



Return to “Support”

Who is online

Users browsing this forum: No registered users and 9 guests